<?xml version="1.0" encoding="utf-8"?>
<Defs>

  <BabyMortar.PawnProjectileDef Name="InfantShellBase" ParentName="ResourceBase" Abstract="True">
    <label>live munitions</label>
    <description>The use of living beings as ammunition is a controversial tactic that has been in use since humanity has had the ability to launch them.</description>
    <graphicData>
      <texPath>Icons/Infant_Shell</texPath>
      <graphicClass>Graphic_Single</graphicClass>
    </graphicData>
    <soundInteract>Metal_Drop</soundInteract>
    <soundDrop>Standard_Drop</soundDrop>
    <tickerType>Normal</tickerType>
    <stackLimit>25</stackLimit>
    <techLevel>Industrial</techLevel>
    <statBases>
      <MaxHitPoints>60</MaxHitPoints>
      <MarketValue>55</MarketValue>
      <Mass>1.25</Mass>
      <Flammability>1.0</Flammability>
      <DeteriorationRate>1.5</DeteriorationRate>
    </statBases>
    <parentThought>MyChildUsedAsAmmo</parentThought>
    <colonistThought>AChildUsedAsAmmo</colonistThought>
    <parentThoughtForGunner>UsedMyChildAsAmmo</parentThoughtForGunner>
    <colonistThoughtForGunner>UsedAChildAsAmmo</colonistThoughtForGunner>
    <gunnerThought>IUsedChildAsAmmo</gunnerThought>
    <psychologicalImpactRadius>16</psychologicalImpactRadius>
  </BabyMortar.PawnProjectileDef>


  <!-- This is just a placeholder def so we can easily forbid or allow it in the UI. The item should never actually exist -->
  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant</defName>
    <projectileWhenLoaded>Bullet_Shell_Infant</projectileWhenLoaded>
    <thoughtInAreaOfImpact>LivingShellLandedNearby</thoughtInAreaOfImpact>
    <thingCategories>
      <li>MortarShells</li>
    </thingCategories>
  </BabyMortar.PawnProjectileDef>

  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_Fire</defName>
    <gene>LiveMunitionsFire</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_Fire</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>

  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_Foam</defName>
    <gene>LiveMunitionsFoam</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_Foam</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>

  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_Bomb</defName>
    <gene>LiveMunitionsBomb</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_Bomb</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>

  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_BigBomb</defName>
    <gene>LiveMunitionsBigBomb</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_BigBomb</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>

  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_Gas</defName>
    <gene>LiveMunitionsGas</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_Gas</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>

  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_Smoke</defName>
    <gene>LiveMunitionsSmoke</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_Smoke</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>
<!-- the gene determines if a pawn counts as this type of "shell" -->
  <BabyMortar.PawnProjectileDef ParentName="InfantShellBase">
    <defName>Shell_Infant_EMP</defName>
    <gene>LiveMunitionsEMP</gene>
    <projectileWhenLoaded>Bullet_Shell_Infant_EMP</projectileWhenLoaded>
  </BabyMortar.PawnProjectileDef>

<!-- Add one projectile type below that matches a projectileWhenLoaded entry above -->
  <ThingDef Name="InfantProjectileBase" ParentName="BaseBullet" Abstract="True">
    <label>live munitions shell</label>
    <graphicData>
      <texPath>Icons/Projectile</texPath>
      <graphicClass>Graphic_Single</graphicClass>
      <shaderType>TransparentPostLight</shaderType>
    </graphicData>
    <thingClass>BabyMortar.Projectile_Pawn</thingClass>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant</defName>
    <projectile>
      <damageDef>Blunt</damageDef>
      <damageAmountBase>35</damageAmountBase>
      <speed>41</speed>
      <explosionRadius>2</explosionRadius>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>Artillery_HitThickRoof</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
      <postExplosionSpawnThingDef>Filth_Blood</postExplosionSpawnThingDef>
      <postExplosionSpawnChance>1</postExplosionSpawnChance>
      <postExplosionSpawnThingCount>3</postExplosionSpawnThingCount>
      <applyDamageToExplosionCellsNeighbors>true</applyDamageToExplosionCellsNeighbors>
      <explosionEffect>PawnImpactSplatter</explosionEffect>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_Fire</defName>
    <projectile>
      <damageDef>Flame</damageDef>
      <!-- damage amount is the damage def default -->
      <speed>41</speed>
      <explosionRadius>2.9</explosionRadius>
      <preExplosionSpawnThingDef>Filth_Fuel</preExplosionSpawnThingDef>
      <preExplosionSpawnChance>0.25</preExplosionSpawnChance>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>MortarIncendiary_Explode</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
      <ai_IsIncendiary>true</ai_IsIncendiary>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_Foam</defName>
    <projectile>
      <damageDef>Extinguish</damageDef>
      <!-- damage amount is the damage def default -->
      <speed>41</speed>
      <explosionRadius>5</explosionRadius>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>Explosion_EMP</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
      <postExplosionSpawnThingDef>Filth_FireFoam</postExplosionSpawnThingDef>
      <postExplosionSpawnChance>1</postExplosionSpawnChance>
      <postExplosionSpawnThingCount>3</postExplosionSpawnThingCount>
      <applyDamageToExplosionCellsNeighbors>true</applyDamageToExplosionCellsNeighbors>
      <explosionEffect>ExtinguisherExplosion</explosionEffect>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_Bomb</defName>
    <projectile>
      <damageDef>Bomb</damageDef>
      <!-- damage amount is the damage def default -->
      <speed>41</speed>
      <explosionRadius>2.9</explosionRadius>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>MortarBomb_Explode</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_BigBomb</defName>
    <projectile>
      <damageDef>BombSuper</damageDef>
      <speed>41</speed>
      <explosionRadius>14.9</explosionRadius>
      <explosionChanceToStartFire>0.22</explosionChanceToStartFire>
      <explosionDamageFalloff>true</explosionDamageFalloff>
      <explosionEffect>GiantExplosion</explosionEffect>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>Explosion_GiantBomb</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_Gas</defName>
    <projectile>
      <speed>40</speed>
      <damageDef>ToxGas</damageDef>
      <explosionRadius>1.9</explosionRadius>
      <explosionRadiusDisplayPadding>2</explosionRadiusDisplayPadding>
      <postExplosionGasType>ToxGas</postExplosionGasType>
      <ai_IsIncendiary>true</ai_IsIncendiary>
      <arcHeightFactor>0.2</arcHeightFactor>
      <shadowSize>0.6</shadowSize>
      <screenShakeFactor>0.5</screenShakeFactor>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_Smoke</defName>
    <projectile>
      <damageDef>Smoke</damageDef>
      <speed>41</speed>
      <explosionRadius>7.2</explosionRadius>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>Explosion_Smoke</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
      <postExplosionGasType>BlindSmoke</postExplosionGasType>
    </projectile>
  </ThingDef>

  <ThingDef ParentName="InfantProjectileBase">
    <defName>Bullet_Shell_Infant_EMP</defName>
    <projectile>
      <damageDef>EMP</damageDef>
      <!-- damage amount is the damage def default -->
      <speed>41</speed>
      <explosionRadius>8.9</explosionRadius>
      <flyOverhead>true</flyOverhead>
      <soundHitThickRoof>Artillery_HitThickRoof</soundHitThickRoof>
      <soundExplode>Explosion_EMP</soundExplode>
      <soundImpactAnticipate>MortarRound_PreImpact</soundImpactAnticipate>
      <soundAmbient>MortarRound_Ambient</soundAmbient>
    </projectile>
  </ThingDef>
</Defs>